Commit c261fe75 authored by thomas.forbriger's avatar thomas.forbriger Committed by thomas.forbriger
Browse files

added obsolete files from Daniels package

This is a legacy commit from before 2015-03-01.
It may be incomplete as well as inconsistent.
See COPYING.legacy and README.history for details.


SVN Path:     http://gpitrsvn.gpi.uni-karlsruhe.de/repos/TFSoftware/branches/any2matlab0.1
SVN Revision: 3105
SVN UUID:     67feda4a-a26e-11df-9d6e-31afc202ad0c
parent baa42207
This is a legacy version of the repository. It may be incomplete as well as
inconsistent. See README.history for details. For the old stock of the
repository copyright and licence conditions apply as specified for versions
commited after 2015-03-01. Use recent versions as a base for new development.
The legacy version is only stored to keep a record of history.
# this is <Makefile>
# ----------------------------------------------------------------------------
#
# Copyright (c) 2010 by Daniel Armbruster
#
# create documentation
#
# REVISIONS and CHANGES
# 30/04/2010 V1.0 Daniel Armbruster
#
# ============================================================================
#
SRCPATH = $(wildcard src/lib* src/mex)
TFLIBS = $(LOCDIR)/src/libaff20100716/ $(LOCDIR)/src/libtime20100716/\
$(LOCDIR)/src/libgsexx20100716/ $(LOCDIR)/src/libsffxx20100716/\
$(LOCDIR)/src/libdatreadxx20100716/
DOCPATH = $(wildcard src/lib*) $(LOCDIR)/src/mex
FLAGS=-fPIC
all: doc install
install: any2matlab
flist: Makefile $(wildcard *.cc)
echo $^ | tr ' ' '\n' | sort > $@
.PHONY: edit
edit: flist; vim $<
.PHONY: clean
clean:
for tflib in $(TFLIBS);\
do\
(cd $$tflib; make clean;)\
done
rm -rvf $(LOCINCLUDEDIR)/*
rm -rvf $(LOCLIBDIR)/*
rm -rvf $(LOCBINDIR)/*
#======================================================================
# installation part
# # ------------------
any2matlab:
mkdir -pv $(LOCBINDIR)
mkdir -pv $(LOCLIBDIR)
mkdir -pv $(LOCINCLUDEDIR)
mkdir -pv src
# extract packages
@for package in packages/*.tar.bz2;\
do\
(tar -xvsjf $$package -C ./src;)\
done
# check if remcmmnt exists else change corresponding lines in Makefiles
@for tflib in $(TFLIBS);\
do\
(if ! type remcmmnt &> /dev/null;\
then cat $$tflib/Makefile\
| sed 's/REMCMMNT\=remcmmnt/\#REMCMMNT\=remcmmnt/g'\
| sed 's/\#REMCMMNT\=cat/REMCMMNT\=cat/g' > $$tflib/Makefile.bak;\
mv $$tflib/Makefile.bak $$tflib/Makefile;\
fi) \
done
# make install-include
@for tflib in $(TFLIBS); \
do \
(cd $$tflib; make install-include; make install-include) \
done
# build libraries
make -C $(LOCDIR)/src/libaff20100716 libaff.a FLAGS=-fPIC
make -C $(LOCDIR)/src/libtime20100716 libtime++.a FLAGS=-fPIC
make -C $(LOCDIR)/src/libgsexx20100716 libgsexx.a FLAGS=-fPIC
make -C $(LOCDIR)/src/libsffxx20100716 libsffxx.a FLAGS=-fPIC
make -C $(LOCDIR)/src/libdatreadxx20100716 libdatreadxx.a FLAGS=-fPIC
make -C $(LOCDIR)/src/mex20100716 install
# print info
@echo "libraries are placed in $(LOCLIBDIR)"
@echo "header files are placed in $(LOCINCLUDEDIR)"
@echo "programs are placed in $(LOCBINDIR):"
ls -l $(LOCBINDIR)
#======================================================================
# documentation part
# # ------------------
.PHONY: doc doxyfullview
doc:
mkdir -pv $(WWWBASEDIR)
for dir in $(DOCPATH);\
do\
make -C $$dir doc/%)\
done
doxyfullview: doc
$(TF_BROWSER) file:$(WWWBASEDIR)/index.php &
#======================================================================
# create package
# --------------
VERSIONCODE=$(shell date +'%Y%m%d')
PACKAGE=any2matlab$(VERSIONCODE)
TARFILES=Makefile README.changelog settings.sh installDoc/*\
documentation/* packages/*.tar.bz2
package:
tar -cvjf $(PACKAGE).tar.bz2 $(TARFILES)
#======================================================================
# help part
# # ------------------
help:
@echo "*******************************************************************"
@echo " any2matlab.cc-Installation-Makefile"
@echo "*******************************************************************"
@echo "Author: Daniel Armbruster"
@echo "Email: dani.armbruster@gmx.de"
@echo "Created: 2010/07/17"
@echo "Revision: "
@echo "*******************************************************************"
@echo "-------------------------------------------------------------------"
@echo "Important note:"
@echo "-------------------------------------------------------------------"
@echo "Pay attention to your g++- and gcc-compiler version. If you install"
@echo "the libraries and the any2matlab.cc MEX-file with a current compil-"
@echo "er which isn't supported by MATLAB yet it can occur, that you get a"
@echo "message like: "
@echo " "
@echo "../glnx86/libstdc++.so.6: version 'GLIBCXX_3.4.11' not found "
@echo " "
@echo "and any2matlab won't work properly. So be aware that you use only "
@echo "compiler-versions which are already supported. In case of need you "
@echo "have to install g**- compilers which have smaller version numbers. "
@echo "For example for MATLAB 2010b only the g**-compilers which with a "
@echo "version number less than 4.3 are supported. "
@echo " "
@echo "You have to install the GSL. See: http://www.gnu.org/software/gsl/ "
@echo "For further information read the installation documentation. "
@echo "-------------------------------------------------------------------"
@echo "HowTo install any2matlab.cc and Thomas Forbrigers' libraries:"
@echo "-------------------------------------------------------------------"
@echo "1) Check your gcc/g++ compiler version. It has to be less than or "
@echo "equal to the compiler version which is supported of the MATLAB ver-"
@echo "sion you are using."
@echo "Check:"
@echo "http://www.mathworks.com/support/compilers/previous_releases.html "
@echo " "
@echo "You have to install the GSL. See: http://www.gnu.org/software/gsl/ "
@echo " "
@echo "2) Set the global pathes and variables with "
@echo " "
@echo ". settings.sh \`pwd\` "
@echo " "
@echo "If you use this command you have to be located in the directory "
@echo "where you want to install the whole stuff. "
@echo " "
@echo "3) Install the libraries and any2matlab.cc typing"
@echo " "
@echo "make install"
@echo " "
@echo "You will find a file any2matlab.* in: "
@echo "$(LOCBINDIR)"
@echo "* represends the ending of the file which depends on the operating "
@echo "system you use. mexa64 for 64-bit and mexglx for 32-bit os."
@echo " "
@echo "*******************************************************************"
@echo "Copyright © 2007 Free Software Foundation, Inc"
@echo "http://www.gnu.org/licenses/gpl.html"
@echo "*******************************************************************"
@echo " "
this is <README.obsolete>
============================================================================
a note on obsolete files
------------------------
$Id$
============================================================================
The package originally created by Daniel was designed as a package containing
a shell script to set paths that allowed proper library initialization and a
Makefile which controlled overall compilation (of libraries and mex-code).
This is no longer appropriate, since the code now becomes integrated into the
TFSoftware repository, where libaries and main programs live as independent
modules and where proper environment settings should routinely be provided by
the user.
The way environment settings are supported by the repository and the way
library compilation is supported might be improved in the future - see trac
tickets for more...
Thomas
12.8.2010
----- END OF README.obsolete -----
#!/bin/sh
# this is <settings.sh>
# ----------------------------------------------------------------------------
# $Id$
#
# Copyright (c) 2010 by Thomas Forbriger (BFO Schiltach)
#
# set environment variables
#
# REVISIONS and CHANGES
# 23/03/2010 V1.0 Thomas Forbriger
#
# ============================================================================
#
# expects basepath to compile directory
if [ $# -ne 1 ]
then
echo "ERROR: expects basepath to compile directory on command line!" >&2
exit 2
fi
BASEPATH=$1
if test \! -d $BASEPATH
then
echo "ERROR: $BASEPATH is not a directory!" >&2
exit 2
fi
if test \! -w $BASEPATH
then
echo "ERROR: $BASEPATH is not writable!" >&2
exit 2
fi
# set variables
export LOCDIR=$BASEPATH
export LOCLIBDIR=$BASEPATH/lib
export LOCBINDIR=$BASEPATH/bin
export LOCBINDIR=$BASEPATH/bin
export LOCINCLUDEDIR=$BASEPATH/include
export TF_LINK_PGPLOT="-lgfortran -lX11 -L/usr/X11/lib64"
export TF_f2c_PGPLOT=f2cpgplot
export TF_g77_PGPLOT=pgplot
export TF_FALLBACK=no
export TF_LIBREGEXX=no
export TF_LINK_REGEXX=-lboost_regex-mt
export TF_LINK_FORTRAN=-lgfortran
export TF_BROWSER=firefox
export BINPREFIX=$LOCBINDIR/
export FC=gfortran
export WWWBASEDIR=~/public_html/doc
export PATH=$PATH:$LOCBINDIR
# ----- EN DOF settings.sh -----
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment